#
# Conditional build:
%bcond_with	gtk3		# use GTK+ 3.x instead of 2.x
#
Summary:	Small applet to display information from various applications consistently in the panel
Summary(pl.UTF-8):	Mały aplet do spójnego wyświetlania w panelu informacji od różnych aplikacji
Name:		mate-applet-indicator
Version:	1.16.0
Release:	1
License:	GPL v3
Group:		X11/Applications
Source0:	http://pub.mate-desktop.org/releases/1.16/mate-indicator-applet-%{version}.tar.xz
# Source0-md5:	7001803d811963ec5330e1e7640a739e
URL:		http://mate-desktop.org/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-tools >= 0.10.40
BuildRequires:	glib2-devel >= 2.0
%{!?with_gtk3:BuildRequires:	gtk+2-devel >= 2:2.24}
%{?with_gtk3:BuildRequires:	gtk+3-devel >= 3.0}
BuildRequires:	intltool >= 0.35.0
%{!?with_gtk3:BuildRequires:	libindicator-devel >= 0.4}
%{?with_gtk3:BuildRequires:	libindicator-gtk3-devel >= 0.4}
# for indicators-ng support (when ido 13.10 available)
#%{?with_gtk3:BuildRequires:	ido-gtk3-devel >= 13.10}
#%{?with_gtk3:BuildRequires:	libindicator-gtk3-devel >= 12.10}
BuildRequires:	libtool >= 1:1.4.3
BuildRequires:	mate-panel-devel
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xz
Requires(post,postun):	gtk-update-icon-cache
%{!?with_gtk3:Requires:	gtk+2 >= 2:2.24}
%{?with_gtk3:Requires:	gtk+3 >= 3.0}
Requires:	hicolor-icon-theme
Requires:	mate-panel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_libdir}/mate-panel

%description
The indicator applet exposes Ayatana Indicators in the MATE Panel.
Ayatana Indicators are an initiative by Canonical to provide crisp and
clean system and application status indication. They take the form of
an icon and associated menu, displayed (usually) in the desktop panel.
Existing indicators include the Message Menu, Battery Menu and Sound
menu.

MATE Indicator Applet is a fork of Indicator Applet for GNOME
(<https://launchpad.net/indicator-applet>).

%description -l pl.UTF-8
Aplet indicator uwidacznia wskaźniki Ayatana w panelu MATE. Wskaźniki
Ayatana (Ayatana Indicators) to inicjatywa Canonical mająca na celu
zapewnienie świeżych i przejrzystych wskazań dotyczących stanu systemu
i aplikacji. Mają postać ikony i związanego z nią menu, wyświetlanych
(zwykle) w panelu pulpitu. Istniejące wskaźniki obejmują menu
komunikatów, menu baterii oraz menu dźwięku.

MATE Indicator Applet to odgałęzienie pakietu Indicator Applet dla
GNOME (<https://launchpad.net/indicator-applet>).

%prep
%setup -q -n mate-indicator-applet-%{version}

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_gtk3:--with-gtk=3.0}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{frp,jv,pms}

%find_lang mate-indicator-applet

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f mate-indicator-applet.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libexecdir}/mate-indicator-applet
%attr(755,root,root) %{_libexecdir}/mate-indicator-applet-appmenu
%attr(755,root,root) %{_libexecdir}/mate-indicator-applet-complete
%{_datadir}/dbus-1/services/org.mate.panel.applet.IndicatorApplet*.service
%{_datadir}/mate-panel/applets/org.ayatana.panel.IndicatorApplet*.mate-panel-applet
%{_iconsdir}/hicolor/scalable/apps/mate-indicator-applet.svg
%changelog
* Fri Sep 23 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mate-applet-indicator.git;a=log;h=master

* Thu Sep 22 2016 Jan Palus <atler@pld-linux.org> 134e33f
- up to 1.16.0

* Sun Jul 24 2016 Jakub Bogusz <qboosh@pld-linux.org> e562446
- note dependencies for indicators-ng support

* Thu Jul 07 2016 Jan Palus <atler@pld-linux.org> 5d1e6bf
- up to 1.14.1

* Sat Apr 09 2016 Jan Palus <atler@pld-linux.org> 200e7f0
- up to 1.14.0

* Mon Nov 30 2015 Jan Palus <atler@pld-linux.org> 18cf4e0
- up to 1.12.1

* Thu Nov 05 2015 Jan Palus <atler@pld-linux.org> eb26114
- up to 1.12.0

* Thu May 14 2015 Jakub Bogusz <qboosh@pld-linux.org> bc26907
- updated to 1.10.0 (1.8.x left on MATE-1.8 branch)

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> a73a368
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 7f9b299
- updated gettext BR

* Fri Jul 11 2014 Jakub Bogusz <qboosh@pld-linux.org> a2fbc16
- cmn locale is supported now
- cleanup, completed dependencies

* Sun Mar 09 2014 Jan Palus <jan.palus@gmail.com> 4f1e292
- up to 1.8.0

* Sun Dec 29 2013 Jakub Bogusz <qboosh@pld-linux.org> 0c35191
- new

